Page MenuHomePhabricator

[lldb] [gdb-remote client] Remove breakpoints in forked processes
ClosedPublic

Authored by mgorny on Apr 11 2021, 5:05 AM.

Details

Summary

Remove software breakpoints from forked processes in order to restore
the original program code before detaching it.

Diff Detail

Event Timeline

mgorny requested review of this revision.Apr 11 2021, 5:05 AM
mgorny created this revision.

(TODO: vfork support)

mgorny updated this revision to Diff 337523.Apr 14 2021, 12:41 PM

Now uses a helper function to switch breakpoints. Might not seem necessary here but the next patch makes heavy use of it.

mgorny updated this revision to Diff 356454.Jul 5 2021, 2:18 AM

Fix regression in tests.

mgorny updated this revision to Diff 360047.Jul 20 2021, 1:19 AM

Rebased.

krytarowski accepted this revision.Tue, Aug 31, 4:36 AM

Looks correct.

This revision is now accepted and ready to land.Tue, Aug 31, 4:36 AM
This revision was landed with ongoing or failed builds.Tue, Aug 31, 5:10 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptTue, Aug 31, 5:10 AM

Hi. It looks like the fork-follow-parent-softbp test is failing on CI.

Hi. It looks like the fork-follow-parent-softbp test is failing on CI.

Thanks for the ping. Shouldn't the bot have mailed me? I'm wondering if there's a problem on my end.